--AH:ScriptId=F05BCCB9-F8C1-4542-898C-3FE6A324FDAD

CREATE TABLE [PackageSources]
(
    [PackageSource_Id] INT IDENTITY(1, 1) NOT NULL,
    [Feed_Url] NVARCHAR(255) NOT NULL,
    [PackageSource_Name] VARCHAR(50) NOT NULL,
    [Credential_Name] NVARCHAR(50) NULL,

    CONSTRAINT [PK__PackageSources] PRIMARY KEY ([PackageSource_Id]),
    CONSTRAINT [CK__PackageSources__PackageSource_Name] CHECK (LEN([PackageSource_Name]) > 0)
)

CREATE TABLE [Packages]
(
    [Package_Id] INT IDENTITY(1,1) NOT NULL,
    [Build_Id] INT NULL,
	[PackageSource_Id] INT NULL,
	[AddedToBuildIn_Execution_Id] INT NULL,
    [Package_Name] NVARCHAR(255) NOT NULL,
    [Version_Text] NVARCHAR(50) NOT NULL,
	[InitialMetadata_SHA1_Bytes] BINARY(20) NULL,
    [Original_PackageSource_Feed_Name] VARCHAR(50) NULL,
	[Original_PackageSource_Feed_Url] VARCHAR(50) NULL,

    CONSTRAINT [PK__Packages] PRIMARY KEY ([Package_Id]),
    CONSTRAINT [FK__Packages__Builds] FOREIGN KEY ([Build_Id])
               REFERENCES [Builds] (Build_Id)
               ON DELETE CASCADE,
	CONSTRAINT [FK__Packages__PackageSources] FOREIGN KEY ([PackageSource_Id]) 
			   REFERENCES [PackageSources] ([PackageSource_Id])
			   ON DELETE SET NULL,
	CONSTRAINT [FK__Packages__Executions] FOREIGN KEY ([AddedToBuildIn_Execution_Id]) 
			   REFERENCES [Executions] ([Execution_Id])
			   ON DELETE SET NULL,

	CONSTRAINT [CK__Packages__Original_PackageSource_Feed_Url]
			CHECK ([PackageSource_Id] IS NOT NULL OR ([Original_PackageSource_Feed_Url] IS NOT NULL AND [Original_PackageSource_Feed_Name] IS NOT NULL))
)
GO

INSERT INTO [PackageSources] ([Feed_Url], [PackageSource_Name])
VALUES ('https://proget.inedo.com/upack/Templates/','Templates')