IF OBJECT_ID('[DatabaseChangeScriptExecutions_Extended]') IS NOT NULL DROP VIEW [DatabaseChangeScriptExecutions_Extended]
GO

CREATE VIEW [DatabaseChangeScriptExecutions_Extended]
AS
SELECT DCSE.[Execution_Id],
       DCSE.[DatabaseConnection_Id],
	   DCSE.[ScriptIds_Csv],
	   X.[Start_Date],
	   X.[End_Date],
	   X.[CreatedBy_User_Name],
	   X.[CreatedOn_Date],
	   X.[ExecutionStatus_Code],
	   X.[ExecutionRunState_Code],
	   DC.[Application_Id],
	   A.[Application_Name],
	   DC.[Environment_Id],
	   E.[Environment_Name],
	   [Server_Id] = DC.[ExecuteOn_Server_Id],
	   S.[Server_Name]

  FROM [DatabaseChangeScriptExecutions] DCSE
       INNER JOIN [Executions] X
	           ON X.[Execution_Id] = DCSE.[Execution_Id]
	   INNER JOIN [DatabaseConnections] DC
	           ON DC.[DatabaseConnection_Id] = DCSE.[DatabaseConnection_Id]
	   INNER JOIN [Applications] A
	           ON DC.[Application_Id] = A.[Application_Id]
	   INNER JOIN [Environments] E
	           ON DC.[Environment_Id] = E.[Environment_Id]
	    LEFT JOIN [Servers] S
	           ON DC.[ExecuteOn_Server_Id] = S.[Server_Id]
