EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Artifacts_GetArtifacts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildArtifacts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a set of artifacts based on the specified criteria.'
GO


IF OBJECT_ID('[Artifacts_GetArtifacts]') IS NOT NULL DROP PROCEDURE [Artifacts_GetArtifacts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Artifacts_GetArtifacts]
(
	@Application_Id INT = NULL,
	@Release_Number RELEASENUMBER = NULL,
	@Build_Number BUILDNUMBER = NULL,
	@Deployable_Id INT = NULL,
    @Artifact_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

    IF (@Artifact_Count IS NOT NULL)
        SET ROWCOUNT @Artifact_Count

	SELECT *
	  FROM [BuildArtifacts_Extended]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@Release_Number IS NULL OR [Release_Number] = @Release_Number)
	   AND (@Build_Number IS NULL OR [Build_Number] = @Build_Number)
	   AND (@Deployable_Id IS NULL OR [Deployable_Id] IS NULL OR [Deployable_Id] = @Deployable_Id)
	 ORDER BY [Created_Date] DESC

END
GO

GRANT EXECUTE ON [Artifacts_GetArtifacts] TO [BuildMasterUser_Role]
