EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuild',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Builds_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details for a specified build.'
GO


IF OBJECT_ID('[Builds_GetBuild]') IS NOT NULL DROP PROCEDURE [Builds_GetBuild]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuild]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Builds_Extended]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number
	   AND [Build_Number] = @Build_Number
	IF (@@ROWCOUNT = 0) RAISERROR('{App#%i} %s Build %s does not exist.', 16, 1, @Application_Id, @Release_Number, @Build_Number)

END
GO

GRANT EXECUTE ON [Builds_GetBuild] TO [BuildMasterUser_Role]
