EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'CalendarViews_CreateOrUpdateCalendarView',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'CalendarView_Id',
    /* Description_Text        */ 'Creates a new calendar view or updates an existing one.'
GO

IF OBJECT_ID('[CalendarViews_CreateOrUpdateCalendarView]') IS NOT NULL DROP PROCEDURE [CalendarViews_CreateOrUpdateCalendarView]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CalendarViews_CreateOrUpdateCalendarView]
(
    @Calendar_Id INT,
    @CalendarView_Configuration XML,
    @CalendarView_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	IF (@CalendarView_Id IS NULL)
	BEGIN
		INSERT INTO [CalendarViews] 
		(
            [Calendar_Id],
            [CalendarView_Configuration]
		)
		VALUES
		(
            @Calendar_Id,
            @CalendarView_Configuration
		)

		SET @CalendarView_Id = SCOPE_IDENTITY()

	END
	ELSE
	BEGIN

		UPDATE [CalendarViews]
		   SET [CalendarView_Configuration] = @CalendarView_Configuration
         WHERE [CalendarView_Id] = @CalendarView_Id

	END


	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [CalendarViews_CreateOrUpdateCalendarView] TO [BuildMasterUser_Role]
