EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_GetRaft',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Rafts',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified raft in the system by name or ID.'
GO

IF OBJECT_ID('[Rafts_GetRaft]') IS NOT NULL DROP PROCEDURE [Rafts_GetRaft]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_GetRaft]
(
    @Raft_Id INT = NULL,
	@Raft_Name VARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Raft_Id IS NOT NULL
		SELECT *
		  FROM [Rafts]
	     WHERE [Raft_Id] = @Raft_Id
	ELSE
		SELECT *
		  FROM [Rafts]
	     WHERE [Raft_Name] = @Raft_Name

END
GO

GRANT EXECUTE ON [Rafts_GetRaft] TO [BuildMasterUser_Role]