EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetReleaseById',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Releases_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specified release by ID.'
GO

IF OBJECT_ID('[Releases_GetReleaseById]') IS NOT NULL DROP PROCEDURE [Releases_GetReleaseById]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetReleaseById]
(
	@Release_Id INT
)
AS
BEGIN

	SET NOCOUNT ON
	SELECT * 
	  FROM [Releases_Extended]
     WHERE [Release_Id] = @Release_Id

END
GO

GRANT EXECUTE ON [Releases_GetReleaseById] TO [BuildMasterUser_Role]
