EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Servers,Environments_Extended,ServerRoles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specific server and its environments and roles.'
GO

IF OBJECT_ID('[Servers_GetServer]') IS NOT NULL DROP PROCEDURE [Servers_GetServer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServer]
(
	@Server_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Servers]
	 WHERE [Server_Id] = @Server_Id

	SELECT *
	  FROM [Environments_Extended]
	 WHERE [Environment_Id] IN (SELECT [Environment_Id] FROM [EnvironmentServers]
	                             WHERE [Server_Id] = @Server_Id)
     ORDER BY [Display_Sequence]

	SELECT SR.*
	  FROM [ServerRoleServers] SRS
	       INNER JOIN [ServerRoles_Extended] SR
		           ON SR.[ServerRole_Id] = SRS.[ServerRole_Id]
	 WHERE SRS.[Server_Id] = @Server_Id
	 ORDER BY SR.[ServerRole_Name]

END
GO

GRANT EXECUTE ON [Servers_GetServer] TO [BuildMasterUser_Role]