EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServersByRoleName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Servers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the active servers in a specified server role.'
GO

IF OBJECT_ID('[Servers_GetServersByRoleName]') IS NOT NULL DROP PROCEDURE [Servers_GetServersByRoleName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServersByRoleName]
(
	@ServerRole_Name NVARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT S.*
	  FROM [ServerRoles] SR
      INNER JOIN [ServerRoleServers] SRS
              ON SRS.[ServerRole_Id] = SR.[ServerRole_Id]
      INNER JOIN [Servers] S
              ON S.[Server_Id] = SRS.[Server_Id]
      WHERE SR.[ServerRole_Name] = @ServerRole_Name
        AND S.[Active_Indicator] = 'Y'

END
GO

GRANT EXECUTE ON [Servers_GetServersByRoleName] TO [BuildMasterUser_Role]